import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取部门列表
export function getDepartmentList(params) {
  return request({
    url: '/admin/websit/tree',
    method: 'get',
    params
  })
}

// 添加部门
export function addDepartment(params) {
  return request({
    url: '/admin/websit/add',
    method: 'post',
    data: params
  })
}

// 修改部门
export function editDepartment(params) {
  return request({
    url: '/admin/websit/update',
    method: 'post',
    data: params
  })
}

// 删除部门
export function deleteDepartment(params) {
  return request({
    url: '/admin/websit/delete',
    method: 'post',
    params
  })
}

// 获取区域列表
export function getAreaList(params) {
  return request({
    url: '/admin/websit/zone/list',
    method: 'get',
    params
  })
}

// 获取成员列表
export function getMemberList(params) {
  return request({
    url: '/wechat/enterprise/list',
    method: 'get',
    params
  })
}

// 添加成员
export function addMember(params) {
  return request({
    url: '/wechat/enterprise/add',
    method: 'post',
    params
  })
}

// 修改成员
export function editMember(params) {
  return request({
    url: '/wechat/enterprise/update',
    method: 'post',
    params
  })
}

// 删除成员
export function deleteMember(params) {
  return request({
    url: '/wechat/enterprise/delete',
    method: 'post',
    params
  })
}

// 获取成员详情
export function getMemberDetail(params) {
  return request({
    url: '/wechat/enterprise/detail',
    method: 'get',
    params
  })
}